Bug 532315 - Review Request: nanoxml - Small XML parser for Java
Review Request: nanoxml - Small XML parser for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
F13FeatureIDEA
:
: 532529 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-01 09:37 EST by Michal Ingeli
Modified: 2009-11-27 16:53 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.2.3-6.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-27 16:53:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Ingeli 2009-11-01 09:37:28 EST
Spec URL: http://v3.sk/~xyzz/rpm/intellij-idea/nanoxml.spec
SRPM URL: http://v3.sk/~xyzz/rpm/intellij-idea/nanoxml-2.2.3-4.fc11.src.rpm

Description:
The intent of NanoXML is to be a small parser which is easy to use. Although many features were added to NanoXML, it is very small. The full parser with builder fits in a JAR file of about 32K.
Comment 1 Lubomir Rintel 2009-11-01 10:07:57 EST
1.) Please remove jpackage artifacts:

section macro:
%define section free

javadoc symlink (you even create it twice for some reason!?):
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

2.) You can probably rely on default file modes:

-%defattr(0644,root,root,0755)
+%defattr(-,root,root,-)

3.) Please do not include TeX sources in documentation. PDFs ale probably enough.

4.) Please consider renaming nanoxml-manual-lite to nanoxml-lite-manual, which may be more consistent. If you need to retain compatibility and upgrade path from jpackage, use  Provides tag and Obsoletes tag for older version to properly replace it.
Comment 2 Michal Ingeli 2009-11-02 06:23:18 EST
(In reply to comment #1)
> 1.) Please remove jpackage artifacts:
> 
> section macro:
> %define section free

done

> javadoc symlink (you even create it twice for some reason!?):
> ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

another forgotten fragment of original package

> 2.) You can probably rely on default file modes:
> 
> -%defattr(0644,root,root,0755)
> +%defattr(-,root,root,-)
>
> > 3.) Please do not include TeX sources in documentation. PDFs ale probably
> enough.

done. some files had +x in documentation sources, but as they are not included now in -manual subpacakges, I can rely on defaults.

> 4.) Please consider renaming nanoxml-manual-lite to nanoxml-lite-manual, which
> may be more consistent. If you need to retain compatibility and upgrade path
> from jpackage, use  Provides tag and Obsoletes tag for older version to
> properly replace it.  

Renamed. I also added obsoletes and provides with version ranges. Hope I did it right way.

Spec URL: http://v3.sk/~xyzz/rpm/intellij-idea/nanoxml.spec
SRPM URL: http://v3.sk/~xyzz/rpm/intellij-idea/nanoxml-2.2.3-5.fc11.src.rpm
Comment 3 Jason Tibbitts 2009-11-02 15:47:08 EST
*** Bug 532529 has been marked as a duplicate of this bug. ***
Comment 4 Jason Tibbitts 2009-11-02 16:16:08 EST
It looks like the fedora-cvs flag has been mistakenly set, instead of the fedora-review flag.
Comment 5 Lubomir Rintel 2009-11-02 16:59:13 EST
(In reply to comment #4)
> It looks like the fedora-cvs flag has been mistakenly set, instead of the
> fedora-review flag.  

Yup, I meant to set the review flag.

The package looks fine now.

APPROVED
Comment 6 Michal Ingeli 2009-11-03 06:04:02 EST
New Package CVS Request
=======================
Package Name: nanoxml
Short Description: Small XML parser for Java
Owners: ksyz
Branches: F-11 F-12 
InitialCC:
Comment 7 Kevin Fenzi 2009-11-03 14:11:54 EST
cvs done.
Comment 8 Michal Ingeli 2009-11-04 05:59:03 EST
thanks for review and cvs
Comment 9 Fedora Update System 2009-11-09 06:26:14 EST
nanoxml-2.2.3-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nanoxml-2.2.3-6.fc12
Comment 10 Fedora Update System 2009-11-10 12:42:39 EST
nanoxml-2.2.3-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nanoxml'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11161
Comment 11 Fedora Update System 2009-11-27 16:53:01 EST
nanoxml-2.2.3-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.